%
%  Comment Timestamps
%
%  This module provides comment timestamps. It attaches a marker of the
%  form "|T:<turn number>" to every comment you change. For example,
%  I often write to my ships what they're doing: "get fuel", "bring
%  clans". Sometimes I forget clearing the comment after performing that
%  task. This module brings a reminder -- when the comment is too old,
%  it is probably stale.
%
%  Hacked together on a snowy 24th of March 2002 by Stefan Reuther.
%  Needs PCC 1.0.17 or later.
%

Print "[comment.q 24/Mar/2002]"

% The comment-setting command
Sub SetComment (c)
  If IsEmpty(c) Then Return
  Local oldcm = RTrim(First("|T:", Comment))
  c := RTrim(First("|T:", c))
  If StrCase(c = oldcm) Then Return
  If c Then
    Comment := c & " |T:" & Turn
  Else
    Comment := Z(0)
  EndIf
EndSub

% The command PCC uses for F9 etc. Copied from core.q & hacked a bit.
Sub CC$SetComment (obj)
  UI.Input "New comment for this " & obj & ":", "Comment for " & obj, 127, 380, RTrim(First("|T:", Comment))
  SetComment UI.Result
EndSub
