%
%  Explore map tracker
%
% This script is supposed to keep tracking on newly scanned planets with the add-on ExploreMap 
% With ExploreMap players receive each turn a new XYplan.dat storing old and new planets.
% New planets occur based on the scanner settings in EploreMap and can be tricky to follow.
% The script verifies for each planet if a special property-tag from a former turn exists.
% If not (this means the planet was detected in the current turn) explmap adds a marker (green cactus)
% to the starmap for at least one turn.
% Additionally, a message box will inform the player how many new planets have been scanned.
% [18/Nov/2006: Tom Wuerzer]



Print "[explmap.q 18/Nov/2006]"

CreatePlanetProperty scann
i := 0
t := Turn + 1  
%change 1 to 2,3,4 if longer display of scanned markers is desired.
Sub explmap
	%loop through all planets and set markers
  ForEach Planet Do
	If IsEmpty(Planet.Scann)then
		NewMarker Planet.loc.x,Planet.loc.y, 7, 5, "", 0, t
		Planet.scann := "1"
		i := i + 1
	EndIf
  Next
	If i > 0 then
		MessageBox "Our scanners picked up " & i & " new planets.", "Exploremap Scanner: New Planets!"
	EndIf
  EndSub
 

On Load Do explmap
%On Exit Do 
